Bug 1480454 - CVE-2017-1000115 Mercurial: path traversal via symlink [fedora-all]
Summary: CVE-2017-1000115 Mercurial: path traversal via symlink [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mercurial
Version: 26
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Petr Stodulka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-1000115
TreeView+ depends on / blocked
 
Reported: 2017-08-11 07:36 UTC by Cedric Buissart 🐶
Modified: 2017-09-28 23:52 UTC (History)
3 users (show)

Fixed In Version: mercurial-4.2.3-1.fc26 mercurial-3.8.1-4.fc25
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-29 15:18:59 UTC


Attachments (Terms of Use)
untested patch for F25 (27.15 KB, patch)
2017-08-11 11:23 UTC, Petr Stodulka
no flags Details | Diff
patch (26.11 KB, patch)
2017-08-14 11:11 UTC, Petr Stodulka
no flags Details | Diff

Comment 1 Cedric Buissart 🐶 2017-08-11 07:37:01 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1480330

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Petr Stodulka 2017-08-11 11:23:42 UTC
Created attachment 1312087 [details]
untested patch for F25

F26 and rawhide are already fixed by rebase to v4.2.3 and builds are prepared as well. I prepared backport with some tests for mercurial v3.8.1, however I havn't done tests yet whether patch is correct.

Attached the mentioned patch as I have to continue on more important things now. If anyone will have time, help is appreciated.

(P.S. should fix https://bugzilla.redhat.com/show_bug.cgi?id=1480455 as well)

Comment 3 Petr Stodulka 2017-08-11 11:26:26 UTC
Small update: patch is obviously incorrect as I can see some tracebacks from output of testsuite.

Comment 4 Fedora Update System 2017-08-13 20:30:47 UTC
mercurial-3.8.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa1d8ad61a

Comment 5 Fedora Update System 2017-08-13 20:33:53 UTC
mercurial-4.2.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f03b04acbb

Comment 6 Petr Stodulka 2017-08-14 11:11:34 UTC
Created attachment 1313046 [details]
patch

Comment 7 Fedora Update System 2017-08-15 03:49:47 UTC
mercurial-3.8.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa1d8ad61a

Comment 8 Fedora Update System 2017-08-15 06:22:41 UTC
mercurial-4.2.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f03b04acbb

Comment 9 Fedora Update System 2017-08-29 15:18:59 UTC
mercurial-4.2.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-09-28 23:52:14 UTC
mercurial-3.8.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.